"use client";

import { QRCodeSVG } from "qrcode.react";
import { CSSProperties } from "react";

interface Props {
  content: any;
  sx?: CSSProperties;
}

export default function QrCode({ content, sx }: Props) {
  console.log(content);
  const jsonStr = JSON.stringify(content);
  return <QRCodeSVG value={jsonStr} style={sx} />;
}
